Summary:	Image Viewer and Browser
Summary(pl.UTF-8):	Przeglądarka plików graficznych
Name:		qvv
Version:	4.05
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	https://cade.noxrun.com/projects/qvv/%{name}-%{version}.tar.gz
# Source0-md5:	159be2b898a1d24ef9eb91cbac497623
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		https://cade.noxrun.com/projects/qvv/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-qmake
BuildRequires:	rpmbuild(macros) >= 2.016
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QVV is image viewer based on TrollTech's Qt Toolkit! QVV is small,
simple, handy.

QVV is only few hundred lines of source code and handles as much file
formats as Qt does -- JPEG (all sorts of jpegs that jpeglib supports),
PNG, GIF, XPM and more...

QVV allows you to browse directories with lynx-like interface, view
images browse next/prev image while showing image window or in the
directory list, multiple image windows and directory browsers can be
opened/closed with a single key, panning easy with arrow keys or mouse
and few other things as well.

%description -l pl.UTF-8
QVV jest przeglądarką plików graficznych opierającą się na narzędziach
Qt TrollTecha! QVV jest niewielka, prosta i poręczna.

QVV to tylko kilka tysięcy linijek kodu źródłowego, a potrafi obsłużyć
tyle formatów, ile potrafi Qt: JPEG (wszystkie te formaty, które
obsługuje jpeglib), PNG, GIF, XPM i inne...

QVV pozwala przeglądać katalogi w interfejsie w stylu lynksa,
przeglądać kolejno obrazki w oknie obrazów lub liście katalogów.
Zbiorowe Okna obrazków i przeglądarki katalogów mogą być otwierane i
zamykane jednym klawiszem. Łatwo nad tym zapanować strzałkami lub
myszką, a parę innych dodatków również może pomóc.

%prep
%setup -q

%build
cd src
%{qmake_qt5} qvv.qt5.pro
%{__make}

%install
cd src
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}
install qvv $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc ANFSCD HISTORY README
%attr(755,root,root) %{_bindir}/qvv
%{_desktopdir}/qvv.desktop
%{_pixmapsdir}/qvv.png
%changelog
* Sat Jul 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qvv.git;a=log;h=master

* Sat Jul 22 2023 Jan Palus <atler@pld-linux.org> 9841540
- Release 2 (by relup.sh)

* Sat Jul 22 2023 Jan Palus <atler@pld-linux.org> 07bd3b7
- update desktop database

* Sat Jul 22 2023 Jan Palus <atler@pld-linux.org> ef605e7
- verbose files

* Sat Jul 22 2023 Jan Palus <atler@pld-linux.org> d65a8f4
- no need to set QTDIR anymore

* Sat Jul 22 2023 Jan Palus <atler@pld-linux.org> 4c3d576
- use macro for qmake invocation

* Sat Jul 22 2023 Jan Palus <atler@pld-linux.org> 64efff7
- BR: Qt5Widgets-devel instead of Qt5Gui-devel

* Sat Jul 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ddaacb8
- disabling rpmcflags

* Sat Jul 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b086721
- up to 4.05;
- use QT5 instead of QT4;
- update URLs;

* Fri May 14 2010 sparky <sparky@pld-linux.org> 1a0a648
- BR: QtGui-devel, qt4-build

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> 9912e76
- rel 2
- it's a viewer

* Sun Nov 22 2009 pawelz <pawelz@pld-linux.org> caf1cf3
- up to 4.02

* Tue Nov 03 2009 Zsolt Udvari <uzsolt@pld-linux.org> 26722a2
- 4.01
- qt4 BRs

* Sun Jul 06 2008 Marcin Banasiak <marcin.banasiak@gmail.com> cdbc2ad
- don't provide %{_pixmapsdir}
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> c43c57b
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Jun 17 2007 twittner <twittner@pld-linux.org> fe37e0c
- rel. 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 82a2d7c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 602ef8d
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> ba86115
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Fri Nov 05 2004 paladine <paladine@pld-linux.org> e9b7929
- rel 0.2 for fixed desktop file

* Fri Nov 05 2004 paladine <paladine@pld-linux.org> db2fae8
- Categories fix

